Open Graph Action Type
Open Graph Action Type
Reading
An Open Graph action type
Examples
GET /v2.9/{open-graph-action-type-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
$request = new FacebookRequest(
$session,
'GET',
'/{open-graph-action-type-id}'
);
$response = $request->execute();
$graphObject = $response->getGraphObject();
/* handle the result *//* make the API call */
FB.api(
"/{open-graph-action-type-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{open-graph-action-type-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();// For more complex open graph stories, use `FBSDKShareAPI`
// with `FBSDKShareOpenGraphContent`
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{open-graph-action-type-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Parameters
Fields
| Field | Description |
|---|---|
numeric string | ID |
bool | Whether multiple objects can be referenced by the action |
string | The preposition used to address the app |
string | Button text |
string | Description |
bool | Whether the app secret is required for API calls related to actions of this type |
string | Name |
list<id> | Object types associated with this action type |
string | The plural past form of the action |
string | The plural present form of the action |
| Per-property config |
string | The singular past form of the action |
string | The singular present form of the action |
int32 | Bitmap of tenses that are disabled (the least significant bit relates to past tense, the second least significant relates to present tense |
string | Type |
Edges
No edgesValidation Rules
| Error | Description |
|---|---|
| 100 | Invalid parameter |